#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define srcname pykde4

%define subrel 1
%define rel 1

Name: python-kde4
Summary: KDE bindings to non-C++ languages
Version: 4.10.5
Release: %mkrel %{rel}
Epoch: 1
Group: Development/KDE and Qt
License: GPLv2
URL: https://projects.kde.org/projects/kde/kdebindings/pykde4
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%srcname-%version.tar.xz
Patch0: make_pykde4_respect_sip_flags.diff

BuildRequires: kdepimlibs4-devel >= 2:%version
BuildRequires: pkgconfig(polkit-qt-1)
BuildRequires: pkgconfig(python)
BuildRequires: pkgconfig(shared-desktop-ontologies)
BuildRequires: python-sip >= 1:4.12
BuildRequires: python-qt4-devel >= 4.8.2
BuildRequires: boost-devel

Provides: PyKDE4 = %epoch:%version-%release
Provides: pykde4 = %epoch:%version-%release
Requires: python-qt4 >= 4.8.2
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description
The Python bindings for KDE 4.

%files
%_kde_bindir/pykdeuic4
%_kde_bindir/pykdeuic4-2.7
%py_platsitedir/PyQt4/
%py_platsitedir/PyKDE4
%_kde_libdir/kde4/kpythonpluginfactory.so
%dir %_kde_appsdir/pykde4

#------------------------------------------------------------------------------

%package devel
Summary: PyKDE4 sip files and examples
Group: Development/KDE and Qt
Conflicts: python-kde4 < 1:4.5.77-0.svn1198704.2
Requires: python-kde4 = %epoch:%version-%release
Requires: python-qt4-devel

%description devel
Python KDE 4 sip files and examples.

%files devel
%_kde_datadir/sip/PyKDE4
%_kde_appsdir/pykde4/examples

#------------------------------------------------------------------------------

%package doc
Summary: PyKDE4 documentation
BuildArch: noarch
Group: Documentation
Conflicts: python-kde4 < 1:4.7.90-2

%description doc
Python bindings for KDE 4 documentation.

%files doc
%doc AUTHORS NEWS README THANKS
%doc %_kde_docdir/python-kde4

#------------------------------------------------------------------------------

%prep
%setup -q -n %srcname-%version
%apply_patches

%build
export LD=/usr/bin/ld.gold 
%cmake_kde4 -DKDE4_ENABLE_FINAL=ON
%make

%install
rm -fr %buildroot
%makeinstall_std -C build

# Copy Python Doc
%{__mkdir_p} %{buildroot}%_datadir/doc/python-kde4
%{__cp} -a docs/html/*  %{buildroot}%_datadir/doc/python-kde4/


%changelog
* Sat Jul 06 2013 mikala <mikala> 1:4.10.5-1.1.mga3
+ Revision: 450705
- Update tarball to KDE SC 4.10.5
- Update tarball to KDE SC 4.10.4

* Tue Apr 02 2013 mikala <mikala> 1:4.10.2-1.mga3
+ Revision: 407293
- Update tarball to KDE SC 4.10.2

* Sun Mar 10 2013 lmenut <lmenut> 1:4.10.1-1.mga3
+ Revision: 402016
- Update tarball to KDE SC 4.10.1

* Wed Mar 06 2013 rtp <rtp> 1:4.10.0-2.mga3
+ Revision: 401558
- add arm build fix from Debian

* Mon Feb 04 2013 mikala <mikala> 1:4.10.0-1.mga3
+ Revision: 394456
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3
- Drop patch100 merged upstream

* Sun Jan 13 2013 umeabot <umeabot> 1:4.9.97-2.mga3
+ Revision: 379035
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 1:4.9.97-1.mga3
+ Revision: 339567
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2
- Add patch100 from upstream to fix symlink
- Fix files list

* Mon Dec 24 2012 mikala <mikala> 1:4.9.95-1.mga3
+ Revision: 334618
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 1:4.9.90-1.mga3
+ Revision: 326819
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2
- Drop patch0 merged upstream

* Thu Nov 22 2012 mikala <mikala> 1:4.9.80-1.mga3
+ Revision: 320436
- Add patch from upstream to fix python3/python2 text handling
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1

* Wed Nov 07 2012 mikala <mikala> 1:4.9.3-1.mga3
+ Revision: 316215
- Update tarball to KDE SC 4.9.3
- Drop patch merged upstream

* Tue Oct 09 2012 fwang <fwang> 1:4.9.2-1.mga3
+ Revision: 303743
- new version 4.9.2

* Tue Oct 09 2012 fwang <fwang> 1:4.9.1-2.mga3
+ Revision: 303739
- add upstream patch to build with newer python-qt4
- new version 4.9.2
- rebuild for new python-sip

  + mikala <mikala>
    - Update tarball to KDE SC 4.9.2
    - Fix group

* Sat Sep 08 2012 mikala <mikala> 1:4.9.1-1.mga3
+ Revision: 289680
- Update tarball to KDE SC 4.9.1

* Tue Jul 31 2012 mikala <mikala> 1:4.9.0-1.mga3
+ Revision: 276632
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 1:4.8.97-1.mga3
+ Revision: 269724
- new version 4.8.97

* Sat Jun 30 2012 fwang <fwang> 1:4.8.95-1.mga3
+ Revision: 265344
- new version 4.8.95

* Fri Jun 08 2012 fwang <fwang> 1:4.8.4-1.mga3
+ Revision: 257195
- new version 4.8.4

* Wed Apr 04 2012 fwang <fwang> 1:4.8.2-1.mga2
+ Revision: 228435
- new version 4.8.2

  + mikala <mikala>
    - New upstream tarball

* Wed Mar 07 2012 fwang <fwang> 1:4.8.1-1.mga2
+ Revision: 220844
- new version 4.8.1

* Sun Feb 26 2012 lmenut <lmenut> 1:4.8.0-2.mga2
+ Revision: 215158
- rebuild for python-qt4 4.9.1
  and python-sip 4.13.2

* Thu Jan 19 2012 mikala <mikala> 1:4.8.0-1.mga2
+ Revision: 198137
- Updating tarball to KDE 4.8.0

* Fri Jan 13 2012 mikala <mikala> 1:4.7.97-2.mga2
+ Revision: 195815
- Rebuild to fix undefine symbol ( _ZNK15sipKColorButton16inputMethoeQueryEN2Qt16InputMethodQueryE )

* Thu Jan 05 2012 mikala <mikala> 1:4.7.97-1.mga2
+ Revision: 190884
- Update tarball to KDE SC 4.7.97

* Thu Dec 22 2011 mikala <mikala> 1:4.7.95-1.mga2
+ Revision: 185782
- Update tarball to KDE SC 4.7.95
- fix group

* Thu Dec 15 2011 mikala <mikala> 1:4.7.90-1.mga2
+ Revision: 182222
- Update tarball to KDE SC 4.7.90
- use gold for linker
- build with -DKDE4_ENABLE_FINAL=ON
- fix BuildRequires
- fix URL

* Sun Dec 04 2011 mikala <mikala> 1:4.7.4-1.mga2
+ Revision: 176573
- Update tarball to KDE SC 4.7.4
- Add BuildRequires for polkitqt-1

* Wed Nov 02 2011 mikala <mikala> 1:4.7.3-1.mga2
+ Revision: 161429
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 1:4.7.2-1.mga2
+ Revision: 151991
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 1:4.7.1-1.mga2
+ Revision: 140681
- Update tarball to KDE SC 4.7.1
- Build documentation as noarch
- Remove %%clean section
- Remove %%defattr()
- Update tarball to KDE SC 4.7.0
- use kde4 macros

* Mon Jul 11 2011 mikala <mikala> 1:4.6.95-0.mga2
+ Revision: 122350
- Update tarball to KDE 4.6.95 ( KDE SC 4.7 RC2)

* Wed Jun 29 2011 mikala <mikala> 1:4.6.90-1.mga2
+ Revision: 115910
- imported package python-kde4

